﻿using HospitalDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.BindingModels
{
    public class KurseBindingModel: IKurseModel
    {
        public int Id { get; set; }
        public string Duration { get; set; } = string.Empty;
        public int CountInDay { get; set; }
        public Dictionary<int, IMedicinesModel> KurseMedicines
        {
            get;
            set;
        } = new();
    }
}
