﻿using HospitalDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.BindingModels
{
    public class RecipesBindingModel: IRecipesModel
    {
        public int Id { get; set; }
        public string Dose { get; set; } = string.Empty;
        public DateTime Date { get; set; } = DateTime.Now;
        public string ModeOfApplication { get; set; } = string.Empty;
        public int ClientId { get; set; }
        public Dictionary<int, IProceduresModel> RecipeProcedures
        {
            get;
            set;
        } = new();

        public int SymptomsId { get; set; }
    }
}
