﻿using HospitalContracts.BindingModels;
using HospitalContracts.SearchModels;
using HospitalContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.BusinessLogicsContracts
{
    public interface IIllnessLogic
    {
        List<IllnessViewModel>? ReadList(IllnessSearchModel? model);
        IllnessViewModel? ReadElement(IllnessSearchModel model);
        bool Create(IllnessBindingModel model);
        bool Update(IllnessBindingModel model);
        bool Delete(IllnessBindingModel model);
    }
}
