﻿using HospitalContracts.BindingModels;
using HospitalContracts.SearchModels;
using HospitalContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.BusinessLogicsContracts
{
    public interface IKurseLogic
    {
        List<KurseViewModel>? ReadList(KurseSearchModel? model);
        KurseViewModel? ReadElement(KurseSearchModel model);
        bool Create(KurseBindingModel model);
        bool Update(KurseBindingModel model);
        bool Delete(KurseBindingModel model);
    }
}
