﻿using HospitalContracts.BindingModels;
using HospitalContracts.SearchModels;
using HospitalContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.BusinessLogicsContracts
{
    public interface IMedicinesLogic
    {
        List<MedicinesViewModel>? ReadList(MedicinesSearchModel? model);
        MedicinesViewModel? ReadElement(MedicinesSearchModel model);
        bool Create(MedicinesBindingModel model);
        bool Update(MedicinesBindingModel model);
        bool Delete(MedicinesBindingModel model);
    }
}
