﻿using HospitalContracts.BindingModels;
using HospitalContracts.SearchModels;
using HospitalContracts.ViewModels;
using HospitalDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.BusinessLogicsContracts
{
    public interface IProceduresLogic
    {
        List<ProceduresViewModel>? ReadList(ProceduresSearchModel? model);
        ProceduresViewModel? ReadElement(ProceduresSearchModel model);
        bool AddMedicineToProcedure(ProceduresSearchModel model, IMedicinesModel member);
        bool Create(ProceduresBindingModel model);
        bool Update(ProceduresBindingModel model);
        bool Delete(ProceduresBindingModel model);
    }
}
