﻿using HospitalContracts.BindingModels;
using HospitalContracts.SearchModels;
using HospitalContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.StoragesContracts
{
    public interface IIllnessStorage
    {
        List<IllnessViewModel> GetFullList();
        List<IllnessViewModel> GetFilteredList(IllnessSearchModel model);
        IllnessViewModel? GetElement(IllnessSearchModel model);
        IllnessViewModel? Insert(IllnessBindingModel model);
        IllnessViewModel? Update(IllnessBindingModel model);
        IllnessViewModel? Delete(IllnessBindingModel model);
    }
}
