﻿using HospitalContracts.BindingModels;
using HospitalContracts.SearchModels;
using HospitalContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.StoragesContracts
{
    public interface IRecipesStorage
    {
        List<RecipesViewModel> GetFullList();
        List<RecipesViewModel> GetFilteredList(RecipesSearchModel model);
        RecipesViewModel? GetElement(RecipesSearchModel model);
        RecipesViewModel? Insert(RecipesBindingModel model);
        RecipesViewModel? Update(RecipesBindingModel model);
        RecipesViewModel? Delete(RecipesBindingModel model);
    }
}
