﻿using HospitalContracts.BindingModels;
using HospitalContracts.SearchModels;
using HospitalContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.StoragesContracts
{
    public interface ISymptomsStorage
    {
        List<SymptomsViewModel> GetFullList();
        List<SymptomsViewModel> GetFilteredList(SymptomsSearchModel model);
        SymptomsViewModel? GetElement(SymptomsSearchModel model);
        SymptomsViewModel? Insert(SymptomsBindingModel model);
        SymptomsViewModel? Update(SymptomsBindingModel model);
        SymptomsViewModel? Delete(SymptomsBindingModel model);
    }
}
