﻿using HospitalDataBaseImplements.Models;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalDataBaseImplements
{
    public class HospitalDatabase : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (optionsBuilder.IsConfigured == false)
            {
                optionsBuilder.UseSqlServer(@"Data Source=DESKTOP-0BJHUJC\SQLEXPRESS;Initial Catalog=HospitalDatabaseFull;Integrated Security=True;MultipleActiveResultSets=True;;TrustServerCertificate=True");
            }
            base.OnConfiguring(optionsBuilder);
        }
        public virtual DbSet<Kurses> Kurse { set; get; }
        public virtual DbSet<KurseMedicines> KurseMedicines { set; get; }
        public virtual DbSet<Illness> Illnesses { set; get; }
        public virtual DbSet<IllnessKurse> IllnessKurse { set; get; }
        public virtual DbSet<IllnessSymptoms> IllnessSymptomses { set; get; }
        public virtual DbSet<RecipesProcedures> RecipesProcedures { set; get; }
        public virtual DbSet<ProcedureMedicine> ProcedureMedicine { set; get; }
        public virtual DbSet<Symptoms> Symptomses { set; get; }
        public virtual DbSet<Recipes> Recipes { set; get; }
        public virtual DbSet<Medicines> Medicines { set; get; }
        public virtual DbSet<Procedures> Procedures { set; get; }
        public virtual DbSet<Client> Clients { set; get; }

    }
}
