﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalDataModels.Models
{
    public interface IIllnessModel : IId
    {
        string IllnessName { get; }
        string Form { get; }
        Dictionary<int, ISymptomsModel> IllnessSymptoms { get; }
        Dictionary<int, IKurseModel> IllnessKurse { get; }
    }
}
