﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace HospitalDataModels.Models
{
    public interface IRecipesModel: IId
    {
        string Dose { get; }
        DateTime Date { get; }
        string ModeOfApplication { get; }
        int ClientId { get; }
        int SymptomsId { get; }
        Dictionary<int, IProceduresModel> RecipeProcedures { get; }
        
    }
}
