﻿using HospitalDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.BindingModels
{
    public class IllnessBindingModel: IIllnessModel
    {
        public int Id { get; set; }
        public string IllnessName { get; set; } = string.Empty;
        public string Form { get; set; } = string.Empty;
        public Dictionary<int, ISymptomsModel> IllnessSymptoms
        {
            get;
            set;
        } = new();
        public Dictionary<int, IKurseModel> IllnessKurse
        {
            get;
            set;
        } = new();
    }
}
