﻿using HospitalContracts.BindingModels;
using HospitalContracts.SearchModels;
using HospitalContracts.ViewModels;
using HospitalDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.BusinessLogicsContracts
{
    public interface IRecipesLogic
    {
        List<RecipesViewModel>? ReadList(RecipesSearchModel? model);
        RecipesViewModel? ReadElement(RecipesSearchModel model);
        bool AddProcedures(RecipesSearchModel model, IProceduresModel procedure);
        bool Create(RecipesBindingModel model);
        bool Update(RecipesBindingModel model);
        bool Delete(RecipesBindingModel model);
    }
}
