﻿using HospitalContracts.BindingModels;
using HospitalContracts.SearchModels;
using HospitalContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.BusinessLogicsContracts
{
    public interface ISymptomsLogic
    {
        List<SymptomsViewModel>? ReadList(SymptomsSearchModel? model);
        SymptomsViewModel? ReadElement(SymptomsSearchModel model);
        bool Create(SymptomsBindingModel model);
        bool Update(SymptomsBindingModel model);
        bool Delete(SymptomsBindingModel model);
    }
}
