﻿using HospitalContracts.BindingModels;
using HospitalContracts.SearchModels;
using HospitalContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.StoragesContracts
{
    public interface IKurseStorage
    {
        List<KurseViewModel> GetFullList();
        List<KurseViewModel> GetFilteredList(KurseSearchModel model);
        KurseViewModel? GetElement(KurseSearchModel model);
        KurseViewModel? Insert(KurseBindingModel model);
        KurseViewModel? Update(KurseBindingModel model);
        KurseViewModel? Delete(KurseBindingModel model);
    }
}
