﻿using HospitalContracts.BindingModels;
using HospitalContracts.SearchModels;
using HospitalContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.StoragesContracts
{
    public interface IMedicinesStorage
    {
        List<MedicinesViewModel> GetFullList();
        List<MedicinesViewModel> GetFilteredList(MedicinesSearchModel model);
        MedicinesViewModel? GetElement(MedicinesSearchModel model);
        MedicinesViewModel? Insert(MedicinesBindingModel model);
        MedicinesViewModel? Update(MedicinesBindingModel model);
        MedicinesViewModel? Delete(MedicinesBindingModel model);
    }
}
