﻿using HospitalContracts.BindingModels;
using HospitalContracts.SearchModels;
using HospitalContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.StoragesContracts
{
    public interface IProceduresStorage
    {
        List<ProceduresViewModel> GetFullList();
        List<ProceduresViewModel> GetFilteredList(ProceduresSearchModel model);
        ProceduresViewModel? GetElement(ProceduresSearchModel model);
        ProceduresViewModel? Insert(ProceduresBindingModel model);
        ProceduresViewModel? Update(ProceduresBindingModel model);
        ProceduresViewModel? Delete(ProceduresBindingModel model);
    }
}
