﻿using HospitalDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalContracts.ViewModels
{
    public class IllnessViewModel: IIllnessModel
    {
        public int Id { get; set; }
        [DisplayName("Название болезни")]
        public string IllnessName { get; set; } = string.Empty;
        [DisplayName("Форма болезни")]
        public string Form { get; set; } = string.Empty;
        public Dictionary<int, ISymptomsModel> IllnessSymptoms
        {
            get;
            set;
        } = new();
        public Dictionary<int, IKurseModel> IllnessKurse
        {
            get;
            set;
        } = new();
    }
}
